Make default merge messages denser.

In particular, make them readable on one line since that's what all the
tools like git-shortlog and gitk end up showing.
This commit is contained in:
Linus Torvalds 2005-06-08 10:09:41 -07:00
parent 4e7346735a
commit 5b1ea09de1
2 changed files with 2 additions and 5 deletions

View File

@ -6,9 +6,7 @@ merge_name=$(echo "$1" | sed 's:\.git/*$::')
merge_head=HEAD
if [ "$2" ]
then
merge_name="'$2' branch from
$merge_name"
merge_name="'$2' branch of $merge_name"
merge_head="refs/heads/$2"
fi

View File

@ -43,7 +43,7 @@ if [ "$common" == "$head" ]; then
fi
echo "Trying to merge $merge into $head"
git-read-tree -u -m $common $head $merge || exit 1
merge_msg="Merge of $merge_repo"
merge_msg="Merge $merge_repo"
result_tree=$(git-write-tree 2> /dev/null)
if [ $? -ne 0 ]; then
echo "Simple merge failed, trying Automatic merge"
@ -52,7 +52,6 @@ if [ $? -ne 0 ]; then
echo "Automatic merge failed, fix up by hand"
exit 1
fi
merge_msg="Automatic merge of $merge_repo"
result_tree=$(git-write-tree) || exit 1
fi
result_commit=$(echo "$merge_msg" | git-commit-tree $result_tree -p $head -p $merge)